Inhalte

# LINKSB

Ergibt das erste Zeichen eines DBCS-Textes.

Diese Funktion ist seit LibreOffice 4.2 verfügbar.

#### Syntax

LINKSB("Text" [; Anzahl_Bytes])

Text ist der Text, dessen erste Teilwörter bestimmt werden sollen.

Byte-Anzahl (optional) legt die Anzahl an Zeichen fest, die LINKSB zurückgeben soll. Ist dieser Parameter nicht definiert, wird ein Zeichen zurückgegeben.

#### Beispiel

=LINKSB("中国";1) gibt " " zurück (1 Byte ist nur ein halbes DBCS-Zeichen, deshalb wird ersatzweise ein Leerzeichen zurückgegeben).

=LINKSB("中国";2) gibt "中" zurück (2 Bytes bilden ein vollständiges DBCS-Zeichen).

=LINKSB("中国";3) gibt "中 " zurück (3 Bytes bilden eineinhalb DBCS-Zeichen; als zweites Zeichen wird deshalb ersatzweise ein Leerzeichen zurückgegeben).

=LINKSB("中国";4) gibt "中国" zurück (4 Bytes bilden zwei vollständige DBCS-Zeichen).

=LINKSB("Büro";3) gibt "Bür" zurück (3 Nicht-DBCS-Zeichen, jedes mit der Länge von 1 Byte).